---
search:
  tags:
    - Variant Groups V2
    - GET
seo:
  description: >-
    Lists variant groups with their attributes,… Reference for the GET
    /api/v2/{team_slug}/{app_slug}/products/variant-groups endpoint in the
    Management API v2.
sidebar:
  label: List variant groups
  badge: GET
title: List variant groups
type: openapi-operation
---
Lists variant groups with their attributes, images, tags and videos. Filter by one or more product ids with the repeatable product-id query parameter.

`GET /api/v2/{team_slug}/{app_slug}/products/variant-groups`

**Responses**

- `200` — OK
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "slug": "string",
      "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",
      "priority": 0,
      "attributes": [
        {
          "attribute_id": "ef88e6be-6132-42c9-abcd-a9aadce04df6",
          "attribute_key": "string",
          "attribute_name": "string",
          "template_key": "string",
          "template_name": "string"
        }
      ],
      "images": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "url": "string",
          "title": "string",
          "priority": 0
        }
      ],
      "tags": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "key": "string",
          "name": "string"
        }
      ],
      "videos": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "url": "string",
          "title": "string"
        }
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total_pages": 0,
  "total_items": 0
}
```
